/*******************************************************************************
* File Name: OneWire_Pin.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_OneWire_Pin_H) /* Pins OneWire_Pin_H */
#define CY_PINS_OneWire_Pin_H

#include "cytypes.h"
#include "cyfitter.h"
#include "OneWire_Pin_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    OneWire_Pin_Write(uint8 value) ;
void    OneWire_Pin_SetDriveMode(uint8 mode) ;
uint8   OneWire_Pin_ReadDataReg(void) ;
uint8   OneWire_Pin_Read(void) ;
uint8   OneWire_Pin_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define OneWire_Pin_DRIVE_MODE_BITS        (3)
#define OneWire_Pin_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - OneWire_Pin_DRIVE_MODE_BITS))
#define OneWire_Pin_DRIVE_MODE_SHIFT       (0x00u)
#define OneWire_Pin_DRIVE_MODE_MASK        (0x07u << OneWire_Pin_DRIVE_MODE_SHIFT)

#define OneWire_Pin_DM_ALG_HIZ         (0x00u << OneWire_Pin_DRIVE_MODE_SHIFT)
#define OneWire_Pin_DM_DIG_HIZ         (0x01u << OneWire_Pin_DRIVE_MODE_SHIFT)
#define OneWire_Pin_DM_RES_UP          (0x02u << OneWire_Pin_DRIVE_MODE_SHIFT)
#define OneWire_Pin_DM_RES_DWN         (0x03u << OneWire_Pin_DRIVE_MODE_SHIFT)
#define OneWire_Pin_DM_OD_LO           (0x04u << OneWire_Pin_DRIVE_MODE_SHIFT)
#define OneWire_Pin_DM_OD_HI           (0x05u << OneWire_Pin_DRIVE_MODE_SHIFT)
#define OneWire_Pin_DM_STRONG          (0x06u << OneWire_Pin_DRIVE_MODE_SHIFT)
#define OneWire_Pin_DM_RES_UPDWN       (0x07u << OneWire_Pin_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define OneWire_Pin_MASK               OneWire_Pin__MASK
#define OneWire_Pin_SHIFT              OneWire_Pin__SHIFT
#define OneWire_Pin_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define OneWire_Pin_PS                     (* (reg32 *) OneWire_Pin__PS)
/* Port Configuration */
#define OneWire_Pin_PC                     (* (reg32 *) OneWire_Pin__PC)
/* Data Register */
#define OneWire_Pin_DR                     (* (reg32 *) OneWire_Pin__DR)
/* Input Buffer Disable Override */
#define OneWire_Pin_INP_DIS                (* (reg32 *) OneWire_Pin__PC2)


#if defined(OneWire_Pin__INTSTAT)  /* Interrupt Registers */

    #define OneWire_Pin_INTSTAT                (* (reg32 *) OneWire_Pin__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins OneWire_Pin_H */


/* [] END OF FILE */
