/*******************************************************************************
* File Name: SDCard_SD_CS.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SDCard_SD_CS_H) /* Pins SDCard_SD_CS_H */
#define CY_PINS_SDCard_SD_CS_H

#include "cytypes.h"
#include "cyfitter.h"
#include "SDCard_SD_CS_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    SDCard_SD_CS_Write(uint8 value) ;
void    SDCard_SD_CS_SetDriveMode(uint8 mode) ;
uint8   SDCard_SD_CS_ReadDataReg(void) ;
uint8   SDCard_SD_CS_Read(void) ;
uint8   SDCard_SD_CS_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SDCard_SD_CS_DRIVE_MODE_BITS        (3)
#define SDCard_SD_CS_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - SDCard_SD_CS_DRIVE_MODE_BITS))
#define SDCard_SD_CS_DRIVE_MODE_SHIFT       (0x00u)
#define SDCard_SD_CS_DRIVE_MODE_MASK        (0x07u << SDCard_SD_CS_DRIVE_MODE_SHIFT)

#define SDCard_SD_CS_DM_ALG_HIZ         (0x00u << SDCard_SD_CS_DRIVE_MODE_SHIFT)
#define SDCard_SD_CS_DM_DIG_HIZ         (0x01u << SDCard_SD_CS_DRIVE_MODE_SHIFT)
#define SDCard_SD_CS_DM_RES_UP          (0x02u << SDCard_SD_CS_DRIVE_MODE_SHIFT)
#define SDCard_SD_CS_DM_RES_DWN         (0x03u << SDCard_SD_CS_DRIVE_MODE_SHIFT)
#define SDCard_SD_CS_DM_OD_LO           (0x04u << SDCard_SD_CS_DRIVE_MODE_SHIFT)
#define SDCard_SD_CS_DM_OD_HI           (0x05u << SDCard_SD_CS_DRIVE_MODE_SHIFT)
#define SDCard_SD_CS_DM_STRONG          (0x06u << SDCard_SD_CS_DRIVE_MODE_SHIFT)
#define SDCard_SD_CS_DM_RES_UPDWN       (0x07u << SDCard_SD_CS_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define SDCard_SD_CS_MASK               SDCard_SD_CS__MASK
#define SDCard_SD_CS_SHIFT              SDCard_SD_CS__SHIFT
#define SDCard_SD_CS_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SDCard_SD_CS_PS                     (* (reg32 *) SDCard_SD_CS__PS)
/* Port Configuration */
#define SDCard_SD_CS_PC                     (* (reg32 *) SDCard_SD_CS__PC)
/* Data Register */
#define SDCard_SD_CS_DR                     (* (reg32 *) SDCard_SD_CS__DR)
/* Input Buffer Disable Override */
#define SDCard_SD_CS_INP_DIS                (* (reg32 *) SDCard_SD_CS__PC2)


#if defined(SDCard_SD_CS__INTSTAT)  /* Interrupt Registers */

    #define SDCard_SD_CS_INTSTAT                (* (reg32 *) SDCard_SD_CS__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins SDCard_SD_CS_H */


/* [] END OF FILE */
