/*******************************************************************************
* File Name: isr_DAC.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_isr_DAC_H)
#define CY_ISR_isr_DAC_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void isr_DAC_Start(void);
void isr_DAC_StartEx(cyisraddress address);
void isr_DAC_Stop(void);

CY_ISR_PROTO(isr_DAC_Interrupt);

void isr_DAC_SetVector(cyisraddress address);
cyisraddress isr_DAC_GetVector(void);

void isr_DAC_SetPriority(uint8 priority);
uint8 isr_DAC_GetPriority(void);

void isr_DAC_Enable(void);
uint8 isr_DAC_GetState(void);
void isr_DAC_Disable(void);

void isr_DAC_SetPending(void);
void isr_DAC_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the isr_DAC ISR. */
#define isr_DAC_INTC_VECTOR            ((reg32 *) isr_DAC__INTC_VECT)

/* Address of the isr_DAC ISR priority. */
#define isr_DAC_INTC_PRIOR             ((reg32 *) isr_DAC__INTC_PRIOR_REG)

/* Priority of the isr_DAC interrupt. */
#define isr_DAC_INTC_PRIOR_NUMBER      isr_DAC__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable isr_DAC interrupt. */
#define isr_DAC_INTC_SET_EN            ((reg32 *) isr_DAC__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the isr_DAC interrupt. */
#define isr_DAC_INTC_CLR_EN            ((reg32 *) isr_DAC__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the isr_DAC interrupt state to pending. */
#define isr_DAC_INTC_SET_PD            ((reg32 *) isr_DAC__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the isr_DAC interrupt. */
#define isr_DAC_INTC_CLR_PD            ((reg32 *) isr_DAC__INTC_CLR_PD_REG)



#endif /* CY_ISR_isr_DAC_H */


/* [] END OF FILE */
