/*
M. Ray Burnette / 20140720
PSoC 4200 Prototype or 4200 Pioneer Boards
Demostration of ILI9340 TFT SPI display running on PSoC 4200

Flash used: 12966 of 32768 bytes (39.6 %).
SRAM used: 1592 of 4096 bytes (38.9 %).

This project path: C:\Users\owner\Documents\PSoC Creator\Working\TFT240_320_4200\TFT240x320.cydsn\TFT240x320.cyprj
*/

#include <project.h>   
#include <ST7735.h> 
#include <device.h>
#include <stdio.h>                      // sprintf function
#include <fonts/SystemFont5x7.h>
#include <fonts/Arial14.h>


int main()
{
    SPIM_Start();
    // Display reset
    CS_Write(0);
    RES_Write(1);   
    CyDelay(50);
    RES_Write(0);
    CyDelay(50);
    RES_Write(1);    
    CyDelay(5);
    
    CS_Write(1);
    //
    ST7735_initR(128,160);

    while(1)
    {
        ST7735_fillScreen(RED);
        ST7735_setBackgroundColor(RED);
        ST7735_drawLine(0,0,128,159,BLUE);
        ST7735_fillRect(10,10,15,20,GREEN);
        ST7735_drawRoundRect(100,10,15,20,3,CYAN);
        ST7735_fillCircle(15,80,10,YELLOW);
        ST7735_fillCircle(35,90,10,LIGHTBLUE);
        ST7735_fillCircle(55,100,10,LIGHTRED);
        ST7735_fillCircle(75,70,10,WHITE);
        
        ST7735_selectFont(System5x7);
        ST7735_putS(00, 32, "ST7735 Testing...", BLACK);
        ST7735_selectFont(Arial_14);
        ST7735_putS(10, 50, "Arial...", GREEN);

        CyDelay(2000);
        
        ST7735_fillScreen(GREEN);
        CyDelay(1000); 
    }
}


